Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: rsync

Tunables Interfaces

### Description:

Fast incremental file transfer for synchronization.

### Tunables:

allow_rsync_anon_write

##### Default value

false

##### Description

Determine whether rsync can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

rsync_client

##### Default value

false

##### Description

Determine whether rsync can run as a client

rsync_export_all_ro

##### Default value

false

##### Description

Determine whether rsync can export all content read only.

rsync_use_cifs

##### Default value

false

##### Description

Determine whether rsync can use cifs file systems.

rsync_use_fusefs

##### Default value

false

##### Description

Determine whether rsync can use fuse file systems.

rsync_use_nfs

##### Default value

false

##### Description

Determine whether rsync can use nfs file systems.

Return

### Interfaces:

rsync_admin( domain , role )

##### Summary

All of the rules required to administrate an rsync environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

rsync_domtrans( domain )

##### Summary

Execute the rsync program in the rsync domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rsync_entry_domtrans( source_domain , target_domain )

##### Summary

Execute a rsync in a specified domain.

##### Description

Execute a rsync in a specified domain.

No interprocess communication (signals, pipes, etc.) is provided by this interface since the domains are not owned by this module.

##### Parameters

Parameter: | Description:
--- | ---
source_domain | Domain allowed to transition.
target_domain | Domain to transition to.

rsync_entry_spec_domtrans( source_domain , target_domain )

##### Summary

Execute a rsync in a specified domain.

##### Description

Execute a rsync in a specified domain.

No interprocess communication (signals, pipes, etc.) is provided by this interface since the domains are not owned by this module.

##### Parameters

Parameter: | Description:
--- | ---
source_domain | Domain allowed to transition.
target_domain | Domain to transition to.

rsync_entry_type( domain )

##### Summary

Make rsync executable file an entry point for the specified domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain for which rsync_exec_t is an entrypoint.

rsync_etc_filetrans_config( domain , object_class , name )

##### Summary

Create specified objects in etc directories with rsync etc type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
object_class | Class of the object being created.
name | The name of the object being created.

rsync_exec( domain )

##### Summary

Execute rsync in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rsync_manage_config_files( domain )

##### Summary

Create, read, write, and delete rsync config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rsync_read_config( domain )

##### Summary

Read rsync config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rsync_run( domain , role )

##### Summary

Execute rsync in the rsync domain, and allow the specified role the rsync domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

rsync_write_config( domain )

##### Summary

Write rsync config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return